if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[RoomCleaningDate]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
	CREATE TABLE [dbo].[RoomCleaningDate](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[RoomNumber] INT NOT NULL,
	[CleaningDate] DateTime NOT NULL,
	[CleanStatus] INT NOT NULL,
	CONSTRAINT [PK_RoomCleaningDate] PRIMARY KEY CLUSTERED 
	(
		[ID] ASC
	)
	)

	CREATE UNIQUE NONCLUSTERED INDEX [UX1_RoomCleaningDate] ON [dbo].[RoomCleaningDate]
(
	[RoomNumber] ASC,
	[CleaningDate] ASC,
	[CleanStatus] ASC
)
END



